jQuery(document).ready(function($){

	// Get all share count data for authors

	$('.' + nnr_as_widget_data.prefix_dash + 'share-count[data-author]').each(function(index, value){

		$.post(nnr_as_widget_data.ajaxurl, {
				'action': 'nnr_as_share_count_author',
				'author' : $(value).data('author'),
				'post_types' : $(value).data('post-types'),
				'user_roles' : $(value).data('user-roles'),
			}, function(response) {

			response = $.parseJSON(response);

			$('.' + nnr_as_widget_data.prefix_dash + 'share-count[data-author="' + response.author + '"]').html(response.count);
			$('.' + nnr_as_widget_data.prefix_dash + 'share-count[data-author="' + response.author + '"]').attr('data-value', response.count);

			$($.bootstrapSortable);

		});
	});
});