<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ,NNRobots_Author_Stats::$text_domain); ?></label>
	<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'post_types' ); ?>"><?php _e( 'Post Types:' ,NNRobots_Author_Stats::$text_domain); ?></label>
	<input class="widefat <?php echo NNRobots_Author_Stats::$prefix_dash; ?>post-types" id="<?php echo $this->get_field_id( 'post_types' ); ?>" name="<?php echo $this->get_field_name( 'post_types' ); ?>" type="text" value="<?php echo esc_attr( $post_types ); ?>" />
	<em><?php _e( 'Select all the post types you want to include in the author stats for this widget.' ,NNRobots_Author_Stats::$text_domain); ?></em>
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'user_roles' ); ?>"><?php _e( 'User Roles:' ,NNRobots_Author_Stats::$text_domain); ?></label>
	<input class="widefat <?php echo NNRobots_Author_Stats::$prefix_dash; ?>user-roles" id="<?php echo $this->get_field_id( 'user_roles' ); ?>" name="<?php echo $this->get_field_name( 'user_roles' ); ?>" type="text" value="<?php echo esc_attr( $user_roles ); ?>" />
	<em><?php _e( 'Select all the user roles you want to include in the author stats for this widget.' ,NNRobots_Author_Stats::$text_domain); ?></em>
</p>

<p>
	<label><strong><?php _e( 'Which stats should be displayed',NNRobots_Author_Stats::$text_domain); ?></strong></label><br />

	<input id="<?php echo $this->get_field_id( 'post' ); ?>" name="<?php echo $this->get_field_name( 'post' ); ?>" type="checkbox" <?php echo (isset($post) && $post ? 'checked="checked"': ''); ?> />
	<label for="<?php echo $this->get_field_id( 'post' ); ?>"><?php _e( 'Posts', NNRobots_Author_Stats::$text_domain); ?></label><br />

	<input id="<?php echo $this->get_field_id( 'view' ); ?>" name="<?php echo $this->get_field_name( 'view' ); ?>" type="checkbox" <?php echo (isset($view) && $view ? 'checked="checked"': ''); ?> />
	<label for="<?php echo $this->get_field_id( 'view' ); ?>"><?php _e( 'Views', NNRobots_Author_Stats::$text_domain); ?></label><br />

	<input id="<?php echo $this->get_field_id( 'comment' ); ?>" name="<?php echo $this->get_field_name( 'comment' ); ?>" type="checkbox" <?php echo (isset($comment) && $comment ? 'checked="checked"': ''); ?> />
	<label for="<?php echo $this->get_field_id( 'comment' ); ?>"><?php _e( 'Comments', NNRobots_Author_Stats::$text_domain); ?></label><br />

	<?php if ( isset($settings['use_shared_count']) && $settings['use_shared_count'] && isset($share_count_api_key) && $share_count_api_key != '' ) { ?>

	<input id="<?php echo $this->get_field_id( 'share_count' ); ?>" name="<?php echo $this->get_field_name( 'share_count' ); ?>" type="checkbox" <?php echo (isset($share_count) && $share_count ? 'checked="checked"': ''); ?> />
	<label for="<?php echo $this->get_field_id( 'share_count' ); ?>"><?php _e( 'Share Count', NNRobots_Author_Stats::$text_domain); ?></label><br />

	<?php } ?>

<!--
	<input id="<?php echo $this->get_field_id( 'aggregate' ); ?>" name="<?php echo $this->get_field_name( 'aggregate' ); ?>" type="checkbox" <?php echo (isset($aggregate) && $aggregate ? 'checked="checked"': ''); ?> />
	<label for="<?php echo $this->get_field_id( 'aggregate' ); ?>"><?php _e( 'Aggregate', NNRobots_Author_Stats::$text_domain); ?></label>
-->
</p>

<!--

<p>
	<label><strong><?php _e( 'Include user roles' ,NNRobots_Author_Stats::$text_domain); ?></strong></label><br />

	<input id="<?php echo $this->get_field_id( 'author' ); ?>" name="<?php echo $this->get_field_name( 'author' ); ?>" type="checkbox" <?php echo (isset($author_cap) && $author_cap) ? 'checked="checked"' : ''; ?> />
	<label><?php _e('Author' ,NNRobots_Author_Stats::$text_domain); ?></label><br />

	<input id="<?php echo $this->get_field_id( 'editor' ); ?>" name="<?php echo $this->get_field_name( 'editor' ); ?>" type="checkbox" <?php echo (isset($editor) && $editor) ? 'checked="checked"' : ''; ?> />
	<label><?php _e('Editor' ,NNRobots_Author_Stats::$text_domain); ?></label><br />

	<input id="<?php echo $this->get_field_id( 'contributor' ); ?>" name="<?php echo $this->get_field_name( 'contributor' ); ?>" type="checkbox" <?php echo (isset($contributor) && $contributor) ? 'checked="checked"' : ''; ?> />
	<label><?php _e('Contributor' ,NNRobots_Author_Stats::$text_domain); ?></label><br />

	<input id="<?php echo $this->get_field_id( 'admin' ); ?>" name="<?php echo $this->get_field_name( 'admin' ); ?>" type="checkbox" <?php echo (isset($admin) && $admin) ? 'checked="checked"' : ''; ?> />
	<label><?php _e('Admin' ,NNRobots_Author_Stats::$text_domain); ?></label><br />

	<input id="<?php echo $this->get_field_id( 'super_admin' ); ?>" name="<?php echo $this->get_field_name( 'super_admin' ); ?>" type="checkbox" <?php echo (isset($super_admin) && $super_admin) ? 'checked="checked"' : ''; ?> />
	<label><?php _e('Super Admin' ,NNRobots_Author_Stats::$text_domain); ?></label>
</p>
-->

<p>
<label><strong><?php _e('Rank by', NNRobots_Author_Stats::$text_domain); ?></strong></label><br />
<select id="<?php echo $this->get_field_id( 'rank' ); ?>" name="<?php echo $this->get_field_name( 'rank' ); ?>">
	<option value="views" <?php selected('views', $rank, true); ?>><?php _e( 'Most Views', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="posts" <?php selected('posts', $rank, true); ?>><?php _e( 'Most Posts', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="comments" <?php selected('comments', $rank, true); ?>><?php _e( 'Most Comments', NNRobots_Author_Stats::$text_domain); ?></option>

<!--
	<?php if ( isset($settings['use_shared_count']) && $settings['use_shared_count'] && isset($share_count_api_key) && $share_count_api_key != '' ) { ?>
	<option value="share_count" <?php selected('share_count', $rank, true); ?>><?php _e( 'Most Shares', NNRobots_Author_Stats::$text_domain); ?></option>
	<?php } ?>
-->

<!-- 	<option value="aggregate" <?php selected('aggregate', $rank, true); ?>><?php _e( 'Aggregate', NNRobots_Author_Stats::$text_domain); ?></option> -->
</select>
</p>

<p>
<label><?php _e('Display top', NNRobots_Author_Stats::$text_domain); ?></label>
<select id="<?php echo $this->get_field_id( 'top' ); ?>" name="<?php echo $this->get_field_name( 'top' ); ?>">
	<?php for ($i = 1; $i < 21; $i++) { ?>
	<option value="<?php echo $i; ?>" <?php echo ((isset($top) && $top == $i) ? 'selected="selected"' : ''); ?>><?php echo $i; ?></option>
	<?php } ?>
</select>
<label><?php _e('authors', NNRobots_Author_Stats::$text_domain); ?></label>
</p>

<p>
<label><strong><?php _e('Date Range', NNRobots_Author_Stats::$text_domain); ?></strong></label><br />
<select id="<?php echo $this->get_field_id( 'date_range' ); ?>" name="<?php echo $this->get_field_name( 'date_range' ); ?>">
	<option value="all_time" <?php selected('all_time', $date_range, true); ?>><?php _e( 'All Time', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="year" <?php selected('year', $date_range, true); ?>><?php _e( '1 Year', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="month" <?php selected('month', $date_range, true); ?>><?php _e( '30 Days', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="week" <?php selected('week', $date_range, true); ?>><?php _e( '7 Days', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="day" <?php selected('day', $date_range, true); ?>><?php _e( 'Today', NNRobots_Author_Stats::$text_domain); ?></option>
</select>
</p>

<p>
<label><strong><?php _e('Avatar Shape', NNRobots_Author_Stats::$text_domain); ?></strong></label><br />
<select id="<?php echo $this->get_field_id( 'avatar_shape' ); ?>" name="<?php echo $this->get_field_name( 'avatar_shape' ); ?>">
	<option value="rounded-square" <?php selected('rounded-square', $avatar_shape, true); ?>><?php _e( 'Rounded Square', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="square" <?php selected('square', $avatar_shape, true); ?>><?php _e( 'Square', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="circle" <?php selected('circle', $avatar_shape, true); ?>><?php _e( 'Circle', NNRobots_Author_Stats::$text_domain); ?></option>
</select>
</p>

<p>
<label><strong><?php _e('Avatar Size', NNRobots_Author_Stats::$text_domain); ?></strong></label><br />
<select id="<?php echo $this->get_field_id( 'avatar_size' ); ?>" name="<?php echo $this->get_field_name( 'avatar_size' ); ?>">
	<option value="small" <?php selected('small', $avatar_size, true); ?>><?php _e( 'Small', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="medium" <?php selected('medium', $avatar_size, true); ?>><?php _e( 'Medium', NNRobots_Author_Stats::$text_domain); ?></option>
	<option value="large" <?php selected('large', $avatar_size, true); ?>><?php _e( 'Large', NNRobots_Author_Stats::$text_domain); ?></option>
</select>
</p>